# Class RemoveConnectionRequest

#### Hierarchy

- unknown
  - RemoveConnectionRequest

- Defined in src/protobuf/grpc_pb.d.ts:854
- Defined in src/protobuf/grpc_pb.d.ts:866

#####
Index

### Constructors

constructor

### Methods

getUrl
serializeBinary
setUrl
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RemoveConnectionRequest(): RemoveConnectionRequest

- #### Returns RemoveConnectionRequest

  Inherited from jspb.Message.constructor

## Methods

### getUrl

- getUrl(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:855

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:858

### setUrl

- setUrl(value: string): RemoveConnectionRequest

- #### Parameters

  - ##### value: string

  #### Returns RemoveConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:856

### toObject

- toObject(includeInstance?: boolean): RemoveConnectionRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RemoveConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:859

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RemoveConnectionRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RemoveConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:862

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RemoveConnectionRequest, reader: BinaryReader): RemoveConnectionRequest

- #### Parameters

  - ##### message: RemoveConnectionRequest

  - ##### reader: BinaryReader

  #### Returns RemoveConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:863

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RemoveConnectionRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RemoveConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:861

### `Static` toObject

- toObject(includeInstance: boolean, msg: RemoveConnectionRequest): RemoveConnectionRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RemoveConnectionRequest

  #### Returns RemoveConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:860

Generated using TypeDoc